Subject: Bug#563 closed by Mike Gabriel <[email-masked]> (Re: [X2Go-Dev] Bug#563: Bug#563: Bug#563: Bug#563: packages broken)

From: [email-masked] (X2Go Bug Tracking System)
Date: Thu, 05 Feb 2015 11:30:03 +0000

This is an automatic notification regarding your Bug report
which was filed against the x2goserver package:

#563: packages broken

It has been closed by Mike Gabriel <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mike Gabriel <[email-masked]> by
replying to this email.

-- 
563: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=563
X2Go Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [X2Go-Dev] Bug#563: Bug#563: Bug#563: Bug#563: packages broken
From: Mike Gabriel <[email-masked]>
To: Bengt Giger <[email-masked]>, [email-masked]
Date: Thu, 05 Feb 2015 11:29:06 +0000

Control: close -1

On  Fr 08 Aug 2014 12:36:07 CEST, Bengt Giger wrote:

> Am 08.08.2014 00:01, schrieb Orion Poplawski:
>
>> This has nothing to do with x2go, but is a conflict between your  
>> "rf" repository the the CentOS perl package.
>  I could reproduce the conflict. If acceptable, the package can be  
> downloaded and installed with --replacefiles, because it affects the  
> man page only.

Obviously, #563 can be closed.

> But then I got:
>
>   "make_path" is not exported by the File::Path module
>   Can't continue after import errors at /usr/sbin/x2godbadmin line 25
>
> Another outdated module. Here I found a newer one:
>
> http://rpm.mag-sol.com/Centos/5/x86_64/perl-File-Path-2.08-1.noarch.rpm
>
> Installed with --replacefiles (man page conflict, again) the  
> installation completes.

This has been fixed in Git recently. See #715 [1].

Mike

[1] http://bugs.x2go.org/715

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb

Subject: packages broken
From: A <[email-masked]>
To: [email-masked]
Date: Wed, 06 Aug 2014 09:26:24 -0700

Package: x2goserver
Version: Since the wiki doesn't say, and I'm unable to install it - I 
don't know what version but I presume the latest?

CentOS 5

Transaction Check Error:
/usr/share/man/man3/Sys::Syslog.3pm.gz from install of 
perl-Sys-Syslog-0.27-1.el5.rf.i386 conflicts with file from package 
perl-5.8.8-41.el5.i386

Conversation in IRC:

[08:42] <geppetto> it's a packaging problem … yum can't see file conflicts
[08:42] <geppetto> the fedora policy is that if you have a file conflict 
you have to promote it to a real conflict
[08:42] <geppetto> but that's not QA'd :(

[08:43] <geppetto> don't use the .rf. repo? … use a newer perl from the 
.rf repo?

[08:43] <geppetto> Maybe install an older version of perl-SysSylog from 
the .rf repo. … if that doesn't have file conflicts

[08:48] <geppetto> Those packages are conflicting with the ones from 
your distro. … but using file conflicts